org.apache.poi.hslf.usermodel

## Class HSLFShapeFactory

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFShapeFactory

-     public final class HSLFShapeFactory
      extends java.lang.Object

  Create a `Shape` object depending on its type
  Author:
    Yegor Kozlov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static POILogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFShapeFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HSLFShape` | `createShape(EscherContainerRecord spContainer, ShapeContainer<HSLFShape,HSLFTextParagraph> parent)` Create a new shape from the data provided.
    `static HSLFGroupShape` | `createShapeGroup(EscherContainerRecord spContainer, ShapeContainer<HSLFShape,HSLFTextParagraph> parent)`
    `static HSLFShape` | `createSimpleShape(EscherContainerRecord spContainer, ShapeContainer<HSLFShape,HSLFTextParagraph> parent)`
    `protected static <T extends Record> T` | `getClientDataRecord(EscherContainerRecord spContainer, int recordType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final POILogger logger

  - ### Constructor Detail

    - #### HSLFShapeFactory

          public HSLFShapeFactory()

  - ### Method Detail

    - #### createShape

          public static HSLFShape createShape(EscherContainerRecord spContainer,
                                              ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

      Create a new shape from the data provided.

    - #### createShapeGroup

          public static HSLFGroupShape createShapeGroup(EscherContainerRecord spContainer,
                                                        ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

    - #### createSimpleShape

          public static HSLFShape createSimpleShape(EscherContainerRecord spContainer,
                                                    ShapeContainer<HSLFShape,HSLFTextParagraph> parent)

    - #### getClientDataRecord

          protected static <T extends Record> T getClientDataRecord(EscherContainerRecord spContainer,
                                                                    int recordType)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.